Tracker notification emails lack "To:" header, violating RFC2822
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.2.3

Description

Tracker notification emails sent out by Redmine are lacking the To: mail header in violation of RFC2822.

This is reproducible for me on two separate Redmine installations (one has Redmine 2.2.2 the other 2.2.3; both use Ruby 1.9.3 and

Rails 3.2.12), and also with the primary Redmine tracker itself (i.e. the very tracker on which I am filing this issue right now).

There is, however, an Envelope-To header. I am a bit surprised by this, since app/models/mailer.rb looks as if it was explicitly setting

To, CC and Subject headers at the same time... But then I am quite the ruby n00b, so perhaps this is "normal".

Anyway: It would be good if Redmine sent RFC compliant emails. E.g. some spam filters treat a violation of RFC2822 as an indicator

for spam.

Related issues:

Is duplicate of Redmine - Feature #8516: Email notifications without the reci... Closed 2011-06-03

History

#1 - 2013-03-13 21:02 - Daniel Felix

Maybe this could be a candidate for 2.3.1?

#2 - 2014-12-16 09:00 - Peter Volkov

Actually I failed to find such requirement in RFC and as I read it there is no such requirement. Yet some spam filters drop such mails and spam filter

should be fixed. Meanwhile this thread is useful: http://www.redmine.org/boards/2/topics/16259?r=16357

#3 - 2019-02-11 01:41 - Go MAEDA

- Is duplicate of Feature #8516: Email notifications without the recipient treated as attempted fraud by mail clients added

#4 - 2019-02-11 01:42 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #8516.
